aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2019-02-22 18:21:44 -0600
committerWilliam Hubbs <w.d.hubbs@gmail.com>2019-02-22 18:50:13 -0600
commit067088bbff42ca2fb9106acf309f1d9ce3e78ada (patch)
tree35040c3c04ed40159e48ed01b9f01c01cd204046 /ci
parent52d4e566743f57b9de81c77fdb605c171c02eacb (diff)
move ci scripts to their own directory
This fixes #296.
Diffstat (limited to 'ci')
-rwxr-xr-xci/cirrus.sh21
-rwxr-xr-xci/travis.sh23
2 files changed, 44 insertions, 0 deletions
diff --git a/ci/cirrus.sh b/ci/cirrus.sh
new file mode 100755
index 00000000..286dd360
--- /dev/null
+++ b/ci/cirrus.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+# Copyright (c) 2007-2018 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
+
+set -e
+set -u
+set -x
+
+# These are steps to run on Cirrus CI under a jailed FreeBSD system.
+# See $TOP/.cirrus.yml for more info about the Cirrus CI setup.
+
+cpus=$(getconf NPROCESSORS_CONF || echo 1)
+gmake -j"${cpus}" -O
+gmake test
diff --git a/ci/travis.sh b/ci/travis.sh
new file mode 100755
index 00000000..9626894c
--- /dev/null
+++ b/ci/travis.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright (c) 2007-2018 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
+
+set -e
+set -u
+set -x
+
+# These are steps to run on TravisCI under a containerized Ubuntu system.
+# See $TOP/.travis.yml for more info about the TravisCI setup.
+
+cpus=$(getconf _NPROCESSORS_CONF || echo 1)
+# make on TravisCI doesn't support -O yet
+make -j"${cpus}"
+
+make test